> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blockscout.com/llms.txt
> Use this file to discover all available pages before exploring further.

# get verified smart contracts

> **Deprecation Notice:** Per instance endpoints will be deprecated soon in favor of PRO API endpoints. Please see the [PRO API reference page](https://docs.blockscout.com/devs/pro-api-responses-and-routes) for information.



## OpenAPI

````yaml /openapi-specs/openapi-deprecation.yaml get /smart-contracts
openapi: 3.0.0
info:
  description: API for BlockScout web app
  version: 1.0.0
  title: BlockScout API
  contact:
    email: support@blockscout.com
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://eth.blockscout.com/api/v2/
    description: Ethereum mainnet
  - url: https://optimism.blockscout.com/api/v2/
    description: Optimism mainnet
  - url: https://base.blockscout.com/api/v2/
    description: Base mainnet
  - url: https://eth-sepolia.blockscout.com/api/v2/
    description: Ethereum testnet
security: []
tags:
  - name: default
  - name: CelestiaService
paths:
  /smart-contracts:
    get:
      summary: get verified smart contracts
      description: >-
        **Deprecation Notice:** Per instance endpoints will be deprecated soon
        in favor of PRO API endpoints. Please see the [PRO API reference
        page](https://docs.blockscout.com/devs/pro-api-responses-and-routes) for
        information.
      operationId: get_smart_contracts
      parameters:
        - in: query
          name: q
          schema:
            type: string
            example: proxy
        - in: query
          name: filter
          schema:
            type: string
            example: vyper | solidity | yul
      responses:
        '200':
          description: smart contract
          content:
            application/json:
              schema:
                type: object
                required:
                  - items
                  - next_page_params
                properties:
                  items:
                    type: array
                    items:
                      $ref: '#/components/schemas/SmartContractForList'
                  next_page_params:
                    type: object
                    example:
                      items_count: 50
                      smart_contract_id: 46
        '400':
          description: bad input parameter
components:
  schemas:
    SmartContractForList:
      required:
        - address
        - coin_balance
        - compiler_version
        - has_constructor_args
        - language
        - optimization_enabled
        - verified_at
      properties:
        address_hash:
          $ref: '#/components/schemas/AddressParam'
        coin_balance:
          type: string
          example: '10000'
        compiler_version:
          type: string
          example: v0.5.10+commit.5a6ea5b1
        language:
          type: string
          example: vyper | yul | solidity
        has_constructor_args:
          type: boolean
        optimization_enabled:
          type: boolean
        transactions_count:
          type: integer
        verified_at:
          type: string
          example: '2022-03-05T11:40:29.087000Z'
        market_cap:
          type: number
          example: 1000000000.0001
    AddressParam:
      type: object
      required:
        - hash
        - implementation_name
        - is_contract
        - is_verified
        - name
        - private_tags
        - public_tags
        - watchlist_names
      properties:
        hash:
          type: string
          example: '0xEb533ee5687044E622C69c58B1B12329F56eD9ad'
        implementation_name:
          type: string
          example: implementationName
        name:
          type: string
          example: contractName
        ens_domain_name:
          type: string
          example: domain.eth
        metadata:
          type: object
          example:
            slug: tag_slug
            name: Tag name
            tagType: name
            ordinal: 0
            meta: {}
        is_contract:
          type: boolean
        private_tags:
          type: array
          items:
            $ref: '#/components/schemas/AddressTag'
        watchlist_names:
          type: array
          items:
            $ref: '#/components/schemas/WatchlistName'
        public_tags:
          type: array
          items:
            $ref: '#/components/schemas/AddressTag'
        is_verified:
          type: boolean
    AddressTag:
      type: object
      required:
        - address_hash
        - display_name
        - label
      properties:
        address_hash:
          type: string
          example: '0xEb533ee5687044E622C69c58B1B12329F56eD9ad'
        display_name:
          type: string
          example: name to show
        label:
          type: string
          example: label
    WatchlistName:
      type: object
      required:
        - display_name
        - label
      properties:
        display_name:
          type: string
          example: name to show
        label:
          type: string
          example: label

````